Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface ValueOperations<K,V>

    public interface ValueOperations<K,V>

Redis operations for simple (or in Redis terminology 'string') values.

Method Summary
`Integer` | `append(K key, String value)`
`String` | `get(K key, long start, long end)`
`V` | `get(Object key)`
`V` | `getAndSet(K key, V value)`
`RedisOperations<K,V>` | `getOperations()`
`Double` | `increment(K key, double delta)`
`Long` | `increment(K key, long delta)`
`List<V>` | `multiGet(Collection<K> keys)`
`void` | `multiSet(Map<? extends K,? extends V> m)`
`Boolean` | `multiSetIfAbsent(Map<? extends K,? extends V> m)`
`void` | `set(K key, V value)`
`void` | `set(K key, V value, long offset)`
`void` | `set(K key, V value, long timeout, TimeUnit unit)`
`Boolean` | `setIfAbsent(K key, V value)`
`Long` | `size(K key)`

Method Detail

### set

    void set(K key,
             V value)

### set

    void set(K key,
             V value,
             long timeout,
             TimeUnit unit)

### setIfAbsent

    Boolean setIfAbsent(K key,
                        V value)

### multiSet

    void multiSet(Map<? extends K,? extends V> m)

### multiSetIfAbsent

    Boolean multiSetIfAbsent(Map<? extends K,? extends V> m)

### get

    V get(Object key)

### getAndSet

    V getAndSet(K key,
                V value)

### multiGet

    List<V> multiGet(Collection<K> keys)

### increment

    Long increment(K key,
                   long delta)

### increment

    Double increment(K key,
                     double delta)

### append

    Integer append(K key,
                   String value)

### get

    String get(K key,
               long start,
               long end)

### set

    void set(K key,
             V value,
             long offset)

### size

    Long size(K key)

### getOperations

    RedisOperations<K,V> getOperations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD